attach(pipe)

pipe$Approach.Posture <- as.factor(pipe$Approach.Posture)
pipe$Manipulated <- as.factor(pipe$Manipulated)

str(pipe)

pipe.split <- splitmix(pipe)

A1 <- pipe.split$X.quanti
A2 <- pipe.split$X.quali

res.pcamix.pipe <- PCAmix(X.quanti = A1, X.quali = A2, rename.level = TRUE, graph = FALSE)

res.pcamix.pipe$eig

res.pcarot.pipe<-PCArot(res.pcamix.pipe,dim=3,graph=FALSE)

res.pcarot.pipe$eig #variance of the rotated PCs
sum(res.pcarot.pipe$eig[,2])

res.pcamix.pipe$sqload[,1:3]
res.pcarot.pipe$sqload

write.csv(res.pcarot.pipe$sqloa, file="test.csv") #For the copypasta

plot(res.pcamix, choice="ind", axes=c(1,2),label=FALSE,
     main="Observations before rotation")

plot(res.pcamix, choice="ind", coloring.ind=pipeoriginal$Species, posleg="topright", 
     axes=c(1,2), label=FALSE, main="Observations before rotation")
plot(res.pcarot, choice="ind", coloring.ind=A2$Manipulated, posleg="topright", 
     axes=c(1,2), label=FALSE, main="Observations after rotation")

plot(res.pcarot, choice="ind",xlim=c(-2,4), ylim=c(-2,4), coloring.ind=X2$App, posleg="topright", 
     axes=c(1,3), label=FALSE, main="Observations after rotation")


plot(res.pcamix,choice="levels", axes=c(1,2), main="Levels before Rotation")
plot(res.pcarot,choice="levels", axes=c(1,2), main="Levels after Rotation")

plot(res.pcamix.pipe,choice="sqload", axes=c(1,2), coloring.var=T, leg=TRUE,
     posleg="topright", main="Variables before Rotation")
plot(res.pcarot.pipe,choice="sqload", axes=c(1,2), coloring.var=T, leg=TRUE,
     posleg="topright", main="Variables after Rotation")

plot(res.pcamix,choice="cor", axes=c(1,2), main="Numerical variables before Rotation")
plot(res.pcarot,choice="cor", axes=c(1,2), main="Numerical variables after Rotation")