attach(asdf)

# Main Persistence Plot ---------------------------------------------------
Significance.Line <- function() {#what the function does is specified in here
  lines(c(x1,x2), c(y,y)) #Draw a line between the two x coordinates the height of the y coordinate 
  lines(c(x1,x1), c(y,y-offset)) #Draw a line at the first x coordinate between y with the length "offset"
  lines(c(x2,x2), c(y,y-offset)) #Draw a line at the second x coordinate between y with the length "offset"
  text(((x1+x2)/2),(y+t.offset),#Place text between first and second x coordiantes and "t.offset" above line
       line.text, cex = text.size) #Use the text specified above, with the magnification specified above
} #Collapse/Expand the function using the little arrow in the line number
#Set up the plot area
par(mfrow = c(1,1), #Setting Plot Area
    mar = c(1,3,3,0.15), #Setting inner margins (Bottom, Left, Top, Right)
    oma = c(2.3,0,0,0), #Setting outer margins (same order as above)
    mgp = c (2,1,0), #Setting distance of labels from axis
    bg = NA) #Setting background colour to transparent

at.x <- c(1,2) #Specifying custom X co-ordinates

boxplot(Persistence~Species, #Main plot
        ylab = "Manipulation Duration (Seconds)", #Y Axis Label
        data = asdf,
        xaxt = "n", #Supressing the normal X Axis
        col = c("burlywood", "cadetblue2"), #Colours for the bars
        at = at.x, #Specifying where each box should be placed
        ylim = c(0,1100)) #Making space for drawing significance lines
      
axis(1, #Adding an "aftermarket" X axis
     at=at.x, #Specifying positions of the labels
     labels=c('Dogs', 'Wolves'), #Specifying what the labels should be called
     cex.axis = 1 #Specifying font size
    )  

#Specify the significance line's corrdinates

y <- 1050 #The height at which you want the line
offset<- 40 #How long you want the ticks to be and how far above the line the * should be
t.offset <- 40 #How far above the line the text should be
x1 <- at.x[1] #Specify the X coordinate of the first tick
x2 <- at.x[2] #Specify the X coodrinate of the second tick
line.text <- "**" #What you want the line to say
line.type <- 1
text.size <- 2 #The factor by which the text should be magnified
text.colour <- "black"

#For the sake of condensing the code, define a function called whatever you like.

Significance.Line() #Execute the line drawing function

##Persistence vs. Objects.

#Setting up the plot area
par(mfrow = c(1,1), #Setting Plot Area
    mar = c(1,3,3,0.15), #Setting inner margins (Bottom, Left, Top, Right)
    oma = c(2.3,0,0,0), #Setting outer margins (same order as above)
    mgp = c (2,1,0), #Setting distance of labels from axis
    bg = NA) #Setting background colour to transparent

#Plotting the data for Dogs

at.x <- c(0.75,1.75,3,4) #Specifying custom X co-ordinates

boxplot(Persistence~Object*Species, #Main plot
        data = asdf,
        xaxt = "n", #Supressing the normal X Axis
        yaxt = "n", #Supressing the normal Y Axis
        col = c("green3", "tan1", "dark green", "darkorange2"), #Colours for the bars
        at = at.x, #Specifying where each box should be placed
        ylim = c(0,1100), #Making space for drawing significance lines
        xlim = c(0.4,4.4))#Adjusting the X axis length to make things even

axis(1, #Adding an "aftermarket" X axis
     at=at.x, #Specifying positions of the labels
     labels=c('Ball', 'Pipe','Ball', 'Pipe'), #Specifying what the labels should be called
     cex.axis = 0.8 #Specifying font size
     )

mtext(expression(bold("Dogs")), side = 1, #specifying the text and the axis below which it should be
      at=((at.x[1]+at.x[2])/2), #Specifying that the text should be between the first and second X axis tick
      line = 2.2) #Specifying how far below the plot the text should be

mtext(expression(bold("Wolves")), side = 1, #specifying the text and the axis below which it should be
      at=((at.x[3]+at.x[4])/2), #Specifying that the text should be between the third and fourth X axis tick
      line = 2) #Specifying how far below the plot the text should be

##Adding Significance Lines

#Dog Ball vs Dog Pipe
#Specify the line's corrdinates

y <- 1020 #The height at which you want the line
offset<- 0 #How long you want the ticks to be and how far above the line the * should be
t.offset <- 50 #How far above the line the text should be
x1 <- at.x[1] #Specify the X coordinate of the first tick
x2 <- at.x[2] #Specify the X coodrinate of the second tick
line.text <- "" #What you want the line to say
line.type <- 1
text.size <- 2 #The factor by which the text should be magnified
text.colour <- "black"
  
Significance.Line() #Execute the line drawing function

#Wolf Ball vs Wolf Pipe
#Specify the line's corrdinates

y <- 1020 #The height at which you want the line
offset<- 0 #How long you want the ticks to be and how far above the line the * should be
t.offset <- 50 #How far above the line the text should be
x1 <- at.x[3] #Specify the X coordinate of the first tick
x2 <- at.x[4] #Specify the X coodrinate of the second tick
line.text <- "" #What you want the line to say
line.type <- 1
text.size <- 2 #The factor by which the text should be magnified
text.colour <- "black"

Significance.Line() #Execute the line drawing function

#Wolf Ball & Wolf Pipe

y <- 1060 #The height at which you want the line
offset<- 40 #How long you want the ticks to be and how far above the line the * should be
t.offset <- 40 #How far above the line the text should be
x1 <- 1.25 #Specify the X coordinate of the first tick
x2 <- 3.5 #Specify the X coodrinate of the second tick
line.text <- "**" #What you want the line to say
line.type <- 1
text.size <- 2 #The factor by which the text should be magnified
text.colour <- "black"

Significance.Line() #Execute the line drawing function