library(gamlss)

# No Nuru -----------------------------------------------------------------

latcon$Species <- as.factor(latcon$Species)

LatCon.Distribution <- fitDist(Consistency, data = latcon)
LatCon.Distribution$fits

histDist(latcon$Consistency, "SHASHo", density = TRUE)
histDist(latcon$Consistency, "BCPEo", density = TRUE)
histDist(latcon$Consistency, "GG", density = TRUE)
histDist(latcon$Consistency, "SEP3", density = TRUE)
histDist(latcon$Consistency, "SHASHo", density = TRUE)
histDist(latcon$Consistency, "SHASHo", density = TRUE)

con <- gamlss.control(n.cyc = 1000)

LatCon.SHASHo <- gamlss(Consistency ~ Species, family = "SHASHo",
                            control = con, data = latcon)

LatCon.BCPEo <- gamlss(Consistency ~ Species, family = "BCPEo",
                            control = con, data = latcon)

LatCon.Model.SEP3 <- gamlss(Consistency ~ Species, family = "SEP3",
                            control = con, data = latcon)

LatCon.Model.SEP4 <- gamlss(Consistency ~ Species, family = "SEP4",
                                 control = con, data = latcon)

LatCon.Model.GG <- gamlss(Consistency ~ Species, family = "GG",
                            control = con, data = latcon)
#Fail

LatCon.Model.ST3 <- gamlss(Consistency ~ Species, family = "ST3",
                                control = con, data = latcon)

LatCon.Model.ST2 <- gamlss(Consistency ~ Species, family = "ST2",
                                 control = con, data = latcon)

LatCon.Model.SN2 <- gamlss(Consistency ~ Species, family = "SN2",
                                 control = con, data = latcon)


AIC(LatCon.SHASHo, LatCon.BCPEo, LatCon.Model.SEP3, LatCon.Model.SEP4,
    LatCon.Model.ST2, LatCon.Model.ST3, LatCon.Model.SN2)

plot(LatCon.BCPEo)
wp(LatCon.BCPEo)

plot(LatCon.Model.SEP3)
wp(LatCon.Model.SEP3)

plot(LatCon.SHASHo)
wp(LatCon.SHASHo)

plot(LatCon.Model.ST2)
wp(LatCon.Model.ST2)

summary(LatCon.SHASHo)
summary(LatCon.Model.SEP3)
summary(LatCon.JSU)
summary(LatCon.Model.ST2)

boxplot(latcon$Consistency ~ latcon$Species)


# With Nuru ---------------------------------------------------------------
latcon$Species <- as.factor(latcon$Species)

LatCon.Distribution <- fitDist(Consistency, data = latcon)
LatCon.Distribution$fits

histDist(latcon$Consistency, "SHASHo", density = TRUE)
histDist(latcon$Consistency, "SEP2", density = TRUE)
histDist(latcon$Consistency, "BCTo", density = TRUE)
histDist(latcon$Consistency, "JSU", density = TRUE)
histDist(latcon$Consistency, "SHASHo", density = TRUE)
histDist(latcon$Consistency, "SHASHo", density = TRUE)

con <- gamlss.control(n.cyc = 1000)

LatCon.SHASHo <- gamlss(Consistency ~ Species, family = "SHASHo",
                             control = con, data = latcon)

LatCon.JSU <- gamlss(Consistency ~ Species, family = "JSU",
                          control = con, data = latcon)

LatCon.Model.SEP2 <- gamlss(Consistency ~ Species, family = "SEP2",
                                 control = con, data = latcon)
#Fail

LatCon.Model.BCTo <- gamlss(Consistency ~ Species, family = "BCTo",
                                 control = con, data = latcon)

LatCon.Model.ST1 <- gamlss(Consistency ~ Species, family = "ST1",
                                control = con, data = latcon)

LatCon.Model.ST2 <- gamlss(Consistency ~ Species, family = "ST2",
                                control = con, data = latcon)

LatCon.Model.ST3 <- gamlss(Consistency ~ Species, family = "ST3",
                                control = con, data = latcon)

LatCon.Model.ST5 <- gamlss(Consistency ~ Species, family = "ST5",
                                control = con, data = latcon)

AIC(LatCon.SHASHo, LatCon.JSU, LatCon.Model.BCTo, LatCon.Model.ST1,
    LatCon.Model.ST2, LatCon.Model.ST3, LatCon.Model.ST5)

plot(LatCon.SHASHo)
wp(LatCon.SHASHo)

plot(LatCon.Model.ST3)
wp(LatCon.Model.ST3)

summary(LatCon.SHASHo)
summary(LatCon.Model.ST3)

